commit aaa935f14c87eecde2c2bc545e01d500db7a51ad
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Nov 28 00:22:14 2024 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 15817d5d62d..ea331f065d8 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2024-11-27  Martin Jambor  <mjambor@suse.cz>
+
+	Backported from master:
+	2024-11-15  Martin Jambor  <mjambor@suse.cz>
+
+	PR tree-optimization/117142
+	* tree-sra.cc (scan_function): Disqualify any candidate passed to
+	a function returning twice.
+
 2024-11-26  liuhongt  <hongtao.liu@intel.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 2073d1c3902..7c44885e94f 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20241127
+20241128
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index b7e213a131e..74ad47f71d0 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,14 @@
+2024-11-27  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2024-11-26  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/117763
+	* trans-array.cc (gfc_get_array_span): Guard against derefences
+	of 'expr'. Clean up some typos. Use 'gfc_get_vptr_from_expr'
+	for clarity and apply a functional reversion of last section
+	that deals with class dummies.
+
 2024-11-23  Paul Thomas  <pault@gcc.gnu.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 0fee413c5fa..9a0a6e33149 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,18 @@
+2024-11-27  Martin Jambor  <mjambor@suse.cz>
+
+	Backported from master:
+	2024-11-15  Martin Jambor  <mjambor@suse.cz>
+
+	* gcc.dg/tree-ssa/pr117142.c: New test.
+
+2024-11-27  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2024-11-26  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/117763
+	* gfortran.dg/pr117763.f90: New test.
+
 2024-11-23  Paul Thomas  <pault@gcc.gnu.org>
 
 	Backported from master:

